/*!
Theme Name: Kadence Child
Theme URI: https://www.kadencewp.com/kadence-theme/
Template: kadence
Author: Kadence WP
Author URI: https://www.kadencewp.com/
Description: A child theme for the Kadence Theme.
Version: 1.0.0
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */
.item-is-fixed {
    /*background: var(--global-palette9);*/
}

iframe {
	width: 100%!important;
}

.single-content p {
	margin-bottom: 16px;
}

/* EFECTOS */

.sticky-section {
  position: -webkit-sticky;
  position: sticky;
  top: 82px;
  /*z-index: 1;*/
}

.overlap-section {
  position: relative;
  z-index: 2;
}

/* fade con sticky content */
.fade-text {
  opacity: 1;
  transition: opacity 0.5s ease-out;
}

.translate-text {
  transition: transform 0.5s ease-out;
  transform: translateY(0);
}

.fade-text.oculto {
  opacity: 0;
}

.fade-text-2 {
  transition: opacity 0.2s ease-out, transform 0.2s ease-out;
}

.fade-on-scroll {
  opacity: 1;
  transition: opacity 0.5s ease-out, transform 0.5s ease-out;
  transform: translateY(0);
}

.fade-on-scroll.oculto {
  opacity: 0;
  transform: translateY(-20px);
}

/* parallax */

.parallax-section {
    transition: none !important; /* Elimina cualquier animación en el fondo */
}

/* zoom */

.zoom-bg-container {
	transition: background-size 0.2s linear;
}

.move-up {
  transition: transform 0.3s ease;
}

.move-up:hover {
  transform: translateY(-10px);
}


/* HEADER */
/*
#masthead .kadence-sticky-header.item-is-fixed:not(.item-at-start) > .site-header-row-container-inner, .transparent-header .site-main-header-wrap .site-header-row-container-inner {
	transition: all .3s ease-out;
    -webkit-transition: all .3s ease-out;
    -moz-transition: all .3s ease-out;
    -o-transition: all .3s ease-out;
}
*/

header .site-main-header-wrap {
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.15);
}

.item-is-stuck .site-branding img{
   /* max-height: 48px!important;*/
    transition: all 0.1s linear;
}

#main-header #primary-menu ul {
	padding: 5px;
}

.menu-cita a {
	background: var(--global-palette1);
	color: #fff!important;
	border-radius: 50px;
}

.menu-cita a:hover {
	background: var(--global-palette2);
}


.mobile-navigation ul ul {
    padding-left: 0;
}

/* HOME */

.elementor-heading-title span {
	color: var(--global-palette1);
}

.leaflet-map {
	z-index: 1;
}

/* PAGINAS */

.page .elementor-heading-title {
	margin: 0!important;
}

/* CUESTIONARIO */

#quiz {
	/*border: 2px solid var(--global-palette1);*/
	padding: 50px;
	margin-left: auto;
    margin-right: auto;
	margin-bottom: 50px;
	border-radius: 28px;
    background: #f7f7f7;
    max-width: 960px;
    box-shadow: 0px 1px 12px 0px #d7d7d7;
}

.step {
	display: none;
	text-align: center;
	font-size: 22px;
}

.step.active {
	display: block;
}

.question {
	margin-bottom: 10px;
	font-weight: bold;
	font-size: 26px;
}

.description {
	margin-bottom: 50px;
}

.step .options {
	display: flex;
	justify-content: space-around;
    gap: 20px 20px;
    flex-wrap: wrap;
}

.options label {
	display: inline-block;
	margin-bottom: 5px;
	cursor: pointer;
	text-align: center;
	background: #50c1a1;
    color: #fff;
    border-radius: 30px;
    padding: 7px 27px;
}

.options label:hover {
	color: #fff;
	background: var(--global-palette1);
}


.options label input {
	display: none;
	margin: auto;
}

.definiciones {
	margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    max-width: 360px;
    font-size: 17px;
    line-height: 1.5em;
}

.final-form {
	margin-top: 20px;
}

.final-form label {
	max-width: 410px;
    width: 100%;
    display: inline-block;
    text-align: right;
}

.final-form input {
	max-width: 300px;
	margin-left: 10px;
}

.link-consulta {
	display: none;
	font-size: 18px;
    line-height: 18px;
    border-radius: 50px;
    padding: 14px 22px 14px 22px;
    background: var(--global-palette-btn-bg);
    color: var(--global-palette-btn);
    margin-top: 20px;
}

.link-consulta:hover {
	background: var(--global-palette-btn-bg-hover);
	color: var(--global-palette-btn);
}

/* BLOG */

body.blog .content-bg {
	border-radius: 20px;
	box-shadow: none;
}

.kadence-posts-list .post-thumbnail {
	border-radius: 20px 20px 0 0;
}

.loop-entry .entry-content-wrap {
    padding: 20px;
}

.loop-entry .entry-content-wrap .entry-summary p {
	font-size: 16px;
}

.contenido-inicial-blog {
	margin-bottom: 60px;
}

.single-post .post-thumbnail {
	border-radius: 20px;
}

/* CONTACT FORM 7 */

input[type="text"], input[type="email"], input[type="tel"], textarea, select {
	margin-bottom: 12px;
    width: 100%;
    padding: 8px 10px;
    border: 1px solid #adadad;
    border-radius: 0;
    color: #888;
}
/*
.wpcf7-form a {
	text-decoration: underline!important;
}
*/
.wpcf7-list-item {
	margin-left: 0;
}

.wpcf7-spinner {
	display: none!important;
}

.link-contacto {
	color: var(--global-palette3);
}




/* FOOTER */

#colophon {
	z-index: 2;
}

a.footer-icon {
	display: block;
	margin-bottom: 10px;
}


.site-middle-footer-inner-wrap .site-footer-section {
    border-right: 1px solid rgba(255,255,255, 0.7);
    padding: 20px 25px 0;
}

.site-middle-footer-inner-wrap .site-footer-section:last-child {
    border-right: none;
}

.site-middle-footer-inner-wrap ul li {
    line-height: 1.5!important;
}

.site-bottom-footer-inner-wrap img {
    max-width: 800px !important;
    margin-top: 10px !important;
    margin-bottom: 15px !important;
}


@media screen and (max-width:1300px) {
	.site-main-header-wrap .site-header-row-container-inner>.site-container {
		padding: 0px 30px 0px 30px;
	}
	
	.site-branding a.brand img {
	    max-width: 160px;
	}
	
	.main-navigation .primary-menu-container > ul > li.menu-item > a {
		padding-left: 20px;
    	padding-right: 20px;
	}
}

@media screen and (max-width:1170px) {
	.site-main-header-wrap .site-header-row-container-inner>.site-container {
		padding: 0px 15px 0px 15px;
	}
	
	.site-branding a.brand img {
	    max-width: 140px;
	}
	
	.main-navigation .primary-menu-container > ul > li.menu-item > a {
		padding-left: 10px;
    	padding-right: 10px;
	}

}


@media screen and (max-width:1024px) {
	.site-middle-footer-inner-wrap .site-footer-section {
	    border-right: none;
	}

}

@media screen and (max-width:767px) {
	

	#mobile-header .site-container {
	    padding-left: 10px;
	    padding-right: 10px;
	}
	
	.leaflet-map {
		height: 400px!important;
	}
	
	#quiz {
		padding: 20px;
	}
	.step .options {
	    justify-content: center;
	    gap: 15px 15px;
	}
}

@media screen and (max-width:680px) {

}

@media screen and (max-width:470px) {
	.final-form label {
	    text-align: left;
	}
	.corte-silabas {
		hyphens: auto;
		-webkit-hyphens: auto; /* Safari, iOS */
		-ms-hyphens: auto;
	}
}


/* COOKIES */

#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme {
    background-color: rgba(0,0,0,0.8)!important;
    border-top: none!important;
    z-index: 10000000000;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p, #moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content p a {
	color: #fff!important;
	font-weight: 300!important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content button.mgbutton {
	font-weight: 600!important;
	padding: 6px 24px!important;
	border: 1px solid #e3e3e3;
}

#moove_gdpr_cookie_info_bar.moove-gdpr-light-scheme .moove-gdpr-info-bar-container .moove-gdpr-info-bar-content button.mgbutton.moove-gdpr-infobar-settings-btn {
	color: #fff!important;
}

#moove_gdpr_cookie_info_bar .moove-gdpr-infobar-close-btn {
    line-height: 18px!important;
    width: 32px!important;
    height: 32px!important;
}

#moove_gdpr_cookie_modal .moove-gdpr-modal-content {
	transform: scale(.9);
}
